Subject: Re: git-svn and renames

From: Eric Wong <[email-masked]>
Date: Wed, 11 Jul 2007 01:20:00 -0700

Rogan Dawes <[email-masked]> wrote:
> Hi folks,
> 
> I am trying to push my local changes to an imported SVN project back to 
> the SVN repo. For anyone who cares, this is the WebGoat repository which 
> you can find at http://dawes.za.net/rogan/webgoat/webgoat.git/
> 
> I am trying to push it back to the primary GoogleCode repo. I have 
> successfully managed to push 20 or so commits, but I am now running up 
> against a problem with a renamed/moved file.
> 
> I moved a file from a directory to a subdirectory, and made minimal 
> changes to this file so that it remained a valid Java class. i.e. I 
> changed the package, and a few other minor things. As can be seen at 
> <http://dawes.za.net/gitweb.cgi?p=rogan/webgoat/webgoat.git;a=commitdiff;h=486416188a3e49d60e1510166ac197e5e66cc4d2>, 
>  git detects the rename with 93% similarity.
> 
> However, when I try to push this change to the Google repo, git-svn dies 
> with the following error:
> 
> $ git svn dcommit
> RA layer request failed: PROPFIND request failed on '/svn/trunk/ 
> webgoat/main/project/JavaSource/org/owasp/webgoat/lessons/DefaultLessonAction.java': 
> PROPFIND of '/svn/trunk/ 
> webgoat/main/project/JavaSource/org/owasp/webgoat/lessons/DefaultLessonAction.java': 
> 400 Bad Request (https://webgoat.googlecode.com) at 
> /home/rdawes/bin/git-svn line 400
> 
> [Yes, those paths have a space in them, however this does not seem to 
> have prevented me from committing the previous 20 or so changes.]
> 
> I noted the following in the git-svn documentation, with regards to 
> handling renames. However, I am not renaming a directory, only a couple 
> of files.

I've personally noted a rename issue with committing funky characters
"#{}" in filenames (I was renaming to get rid of those funky characters of
course).   Haven't had proper time to look into it.

Did any previous successful commits have renames in them?  You may want
to set similarity to 100% to disable rename detection.

-- 
Eric Wong